> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List refund payments

> Fetches a list of customer refund payments for a specific business. Results will be paginated, see [Pagination](/api-details/pagination) for details.



## OpenAPI

````yaml get /v1/businesses/{businessId}/invoices/refunds/payments
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/invoices/refunds/payments:
    get:
      tags: []
      summary: List refund payments
      description: >-
        Fetches a list of customer refund payments for a specific business.
        Results will be paginated, see [Pagination](/api-details/pagination) for
        details.
      operationId: business.invoices.refunds.payments.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch refund payments for.
          required: true
          schema:
            type: string
        - name: external_id
          in: query
          description: >-
            Filter customer refund payments by external ID (unique idempotency
            key). This will always yield zero or one result.
          schema:
            type: string
        - name: completed_at_start
          in: query
          description: >-
            Filter customer refund payments by completion date. Payments
            completed on or after this date will be included. ISO 8601 date
            format.
          schema:
            type: string
            format: date-time
        - name: completed_at_end
          in: query
          description: >-
            Filter customer refund payments by completion date. Payments
            completed on or before this date will be included. ISO 8601 date
            format.
          schema:
            type: string
            format: date-time
        - name: method
          in: query
          description: >-
            Filter customer refund payments by payment method. Supported values
            are `CASH`, `CHECK`, `CREDIT_CARD`, `ACH`, `CREDIT_BALANCE`,
            `OTHER`.
          schema:
            type: string
        - name: processor
          in: query
          description: >-
            Filter customer refund payments by payment processor (e.g. STRIPE,
            etc.).
          schema:
            type: string
        - name: min_amount
          in: query
          description: >-
            Filter customer refund payments by minimum amount. Only payments
            with amounts greater than or equal to this value will be included.
            Must be a positive integer.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: max_amount
          in: query
          description: >-
            Filter customer refund payments by maximum amount. Only payments
            with amounts less than or equal to this value will be included. Must
            be a positive integer.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: memo_contains
          in: query
          description: >-
            Filter customer refund payments by memo content. Returns payments
            where the memo contains this string (case-sensitive).
          schema:
            type: string
        - name: memo
          in: query
          description: >-
            Filter customer refund payments by exact memo match. Returns
            payments where the memo exactly matches this string.
          schema:
            type: string
        - name: reference_numbers
          in: query
          description: >-
            Comma-separated list of reference numbers to filter customer refund
            payments by. Only customer refund payments with reference numbers
            matching any value in this list will be returned.
          required: false
          schema:
            type: string
        - name: included_in_payout
          in: query
          description: >-
            Filter customer refund payments by whether they are included in a
            payout. Set to `true` to show only payments that are part of a
            payout, `false` to show only payments not in any payout.
          schema:
            type: boolean
        - name: is_matched
          in: query
          description: >-
            Filter customer refund payments by match status. If true, only
            matched payments will be returned. If false, only unmatched payments
            will be returned. Customer refund payments are considered matched if
            they are matched directly, or if they are included in a payout that
            is matched.
          schema:
            type: boolean
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: List of refund payments
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiRefundPayment'
      deprecated: false
components:
  schemas:
    ApiRefundPayment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the payment.
        external_id:
          type: string
          description: >-
            Unique ID of the payment in your system for linking purposes.
            **Idempotency key**.
          example: '31415926535'
        refunded_amount:
          type: integer
          format: int64
          description: Amount refunded to the customer in cents.
        fee:
          type: integer
          format: int64
          nullable: true
          description: Fee charged for the refund in cents.
        completed_at:
          type: string
          format: date-time
          description: Time when the payment was completed.
        method:
          type: string
          description: Method of the payment.
          example: CREDIT_CARD
        processor:
          type: string
          nullable: true
          description: Processor used for the payment.
          example: STRIPE
        payment_clearing_account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: >-
            The the ledger account to use for the payment (overrides the default
            determined by the payment method), if specified.
        refunded_payment_fees:
          type: array
          description: Refunded payment fees associated with the refund payment
          items:
            $ref: '#/components/schemas/ApiRefundedPaymentFee'
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the refund
            payment (for example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the refund payment. Can be used to filter when listing refund
            payments.
      description: >-
        A payment represents a transaction that moves value from a customer to a
        business. A specific payment can be refunded or a general refund can be
        applied to an invoice.
    SingleApiChartAccount:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountIdentifier'
        name:
          type: string
          description: Name of the account
          example: Current Assets
        account_number:
          type: string
          nullable: true
          description: Account number if configured
          example: '4000'
        stable_name:
          $ref: '#/components/schemas/AccountStableName'
        normality:
          $ref: '#/components/schemas/BankTransactionDirection'
        account_type:
          $ref: '#/components/schemas/ApiLedgerAccountType'
        account_subtype:
          $ref: '#/components/schemas/ApiLedgerAccountSubtype'
      description: A single ledger account without nested children
    ApiRefundedPaymentFee:
      type: object
      properties:
        account:
          $ref: '#/components/schemas/AccountIdentifier'
          description: Identifier of the ledger account for the refunded payment fee
        description:
          type: string
          nullable: true
          description: Description of the fee that the refunded payment fee refunds
        fee_amount:
          type: integer
          format: int64
          description: Amount of the fee refund in cents
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag
        key:
          type: string
          description: Key for the tag
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        value:
          type: string
          description: Value for the tag
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    PlatformDefinedJson:
      type: object
      description: Arbitrary JSON data defined by the caller, with a 1KB size constraint
      additionalProperties: true
      example:
        custom_field: value
        any valid json: below 1kb
        nested:
          meaning of life: 42
          array: []
    AccountIdentifier:
      oneOf:
        - $ref: '#/components/schemas/AccountId'
          description: ID of the account
          title: Account ID
        - $ref: '#/components/schemas/AccountStableName'
          description: Stable name associated with the account
          title: Account Stable Name
    AccountStableName:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `StableName`.
          example: StableName
        stable_name:
          type: string
          example: CURRENT_ASSETS
          description: Stable name of the account
    BankTransactionDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
    ApiLedgerAccountType:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountType'
          description: Type of the account
        display_name:
          type: string
          description: Display name of the account type
          example: Asset
    ApiLedgerAccountSubtype:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountSubtype'
        display_name:
          type: string
          description: Display name of the account subtype
          example: Current Assets
    AccountId:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `AccountId`.
          example: AccountId
        id:
          type: string
          format: uuid
          description: ID of the account
    LedgerAccountType:
      type: string
      enum:
        - ASSET
        - LIABILITY
        - EQUITY
        - REVENUE
        - COGS
        - EXPENSE
    LedgerAccountSubtype:
      type: string
      enum:
        - BANK_ACCOUNTS
        - ACCOUNTS_RECEIVABLE
        - INVENTORY
        - PAYMENT_PROCESSOR_CLEARING_ACCOUNT
        - FIXED_ASSET
        - ACCUMULATED_DEPRECIATION
        - CASH
        - UNDEPOSITED_FUNDS
        - CURRENT_ASSET
        - NON_CURRENT_ASSET
        - PREPAID_EXPENSES
        - DEVELOPMENT_COSTS
        - LOANS_RECEIVABLE
        - INTANGIBLE_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - TAXES_PAYABLE
        - INCOME_TAXES_PAYABLE
        - SALES_TAXES_PAYABLE
        - OTHER_TAXES_PAYABLE
        - PAYROLL_TAXES_PAYABLE
        - UNEARNED_REVENUE
        - PAYROLL_LIABILITY
        - PAYROLL_CLEARING
        - LINE_OF_CREDIT
        - TIPS
        - REFUND_LIABILITIES
        - UNDEPOSITED_OUTFLOWS
        - OUTGOING_PAYMENT_CLEARING_ACCOUNT
        - OTHER_CURRENT_LIABILITY
        - LOANS_PAYABLE
        - NOTES_PAYABLE
        - SHAREHOLDER_LOAN
        - NON_CURRENT_LIABILITY
        - CONTRIBUTIONS
        - DISTRIBUTIONS
        - COMMON_STOCK
        - PREFERRED_STOCK
        - ADDITIONAL_PAID_IN_CAPITAL
        - RETAINED_EARNINGS
        - ACCUMULATED_ADJUSTMENTS
        - OPENING_BALANCE_EQUITY
        - OTHER_EQUITY
        - SALES
        - UNCATEGORIZED_REVENUE
        - RETURNS_ALLOWANCES
        - DIVIDEND_INCOME
        - INTEREST_INCOME
        - OTHER_INCOME
        - COGS
        - OPERATING_EXPENSES
        - PAYROLL
        - TAXES_LICENSES
        - UNCATEGORIZED_EXPENSE
        - CHARITABLE_CONTRIBUTIONS
        - LOAN_EXPENSES
        - FINANCE_COSTS
        - INTEREST_EXPENSES
        - DEPRECIATION
        - AMORTIZATION
        - BAD_DEBT
        - OTHER_EXPENSES
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````